PostZen
Analytics

Get follower statistics

GET
/v1/accounts/follower-stats

Returns follower history and growth for connected accounts at daily, weekly, or monthly granularity.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Query Parameters

accountIds?string

Comma-separated connected account ids. Omit to include every accessible account.

profileId?string

Filter by PostZen profile id.

fromDate?|

Inclusive range start. Defaults to 30 days before toDate.

toDate?|

Inclusive range end. Defaults to the current time.

granularity?string

Follower history bucket size.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/follower-stats?accountIds=j97kp4mw2xnv6r1t8c3zq5bs9fh0yg4d%2Cj86km3nv1xpw5r2t9c4zq7bs0fh6yg8e"
{  "accounts": [    {      "_id": "string",      "platform": "x",      "username": "string",      "currentFollowers": 0,      "growth": 0,      "growthPercentage": 0,      "dataPoints": 0    }  ],  "stats": {    "property1": [      {        "date": "2019-08-24",        "followers": 0      }    ],    "property2": [      {        "date": "2019-08-24",        "followers": 0      }    ]  },  "dateRange": {    "from": "2019-08-24T14:15:22Z",    "to": "2019-08-24T14:15:22Z"  },  "granularity": "daily"}
{  "error": "JSON body is required"}
{  "error": "Unauthorized"}
{  "error": "string",  "type": "string",  "code": "string",  "param": "string"}
{  "error": "API key requires read_write permission"}
{  "error": "Not found"}
{  "error": "rate_limited",  "retryAfter": 30}
{  "error": "Failed to create post"}